import Logger from "../utils/Logger.js";
import GameManager from "./GameManager.js";

var canvas, gm, provider;

function init(config) {
  Logger.log("Starting StarGazer game");
  canvas = config.canvas;
  gm = new GameManager();
  gm.setCanvas(canvas);
  gm.setFrameRate(config.fps);
  if (config.showFPS === true) {
    gm.showFPS();
  }
  gm.setSize(config.width, config.height);
  gm.start();
  provider = config.gazeDataProvider;
  provider.addEventListener("dataavailable", onGazeUpdate);
}

function onGazeUpdate(event) {
  let gazePoint = event.data;
  gazePoint.linkTo(canvas);
  if (gazePoint.hasLink) {
    gm.addGazePoint(gazePoint);
  }
}

export default {
  init: init,
};